echo=off
rem initialize environment variable NECCDROM for later testing
set neccdrom=nul
cls
echo INSTALL: Automatic NECHE SCSI Software Quick Installation Program Ver 1.21
echo 
echo Copyright (C) 1988,9 NEC Home Electronics, Inc.
echo Copyright (C) 1988,9 OmniTel, Inc.
echo Copyright (C) 1988,9 Trantor Systems, Ltd.
echo 
rem log to drive A: and check for presence of SCSI.SYS or CDROM.SYS.
a:
cd \
if exist CDROM.SYS goto distribution
echo Please insert your "NEC SCSI Distribution Diskette - Update" in
echo drive A: and re-execute this INSTALL program.
goto done
:distribution
rem Determine the target drive. If drive named, go to driveknown. Otherwise,
rem prompt for drive and re-execute install batch file with parameter.
if not ""=="%1" goto driveknown
echo Would you like to install the NEC SCSI software on
ask "your hard disk or on a floppy diskette?" "HHard disk" "FFloppy diskette" "XAbort installation"
if errorlevel 3 goto abort
if errorlevel 2 goto floppy
echo 
ask "Is you hard disk Drive C?" YYes Nno
if not errorlevel 2 goto hardc
echo 
ask "What drive is your hard disk?" "CDrive C:" "DDrive D:" "EDrive E:" "FDrive F:" "XAbort installation"
if errorlevel 5 goto abort
if errorlevel 4 goto hardf
if errorlevel 3 goto harde
if errorlevel 2 goto hardd
if errorlevel 1 goto hardc
goto done
:floppy
echo 
ask "Do you have a two floppy computer?" YYes NNo
if errorlevel 2 goto onefloppy
echo 
echo Please insert (in Drive B:) the diskette onto which you 
echo would like to install the NEC SCSI software.
echo 
echo Be sure that there is sufficient room on this diskette
echo for the NEC SCSI software (about 140k) and that the
echo diskette DOES NOT HAVE a write-protect tab.
echo 
pause
goto gofloppy
:onefloppy
echo 
echo You will be asked several times to swap diskettes.
echo When you are asked to insert the diskette for Drive B:
echo please insert the diskette onto which you are installing
echo the NEC SCSI software. Be sure that there is sufficient
echo room on this diskette for the NEC software (about 140K)
echo and that the diskette DOES NOT HAVE a write-protect tab.
echo When you are asked to insert the Diskette for Drive A:, 
echo please re-insert the NEC SCSI distribution diskette.
echo 
pause
:gofloppy
install B A
goto done
:hardc
install C C
goto done
:hardd
install D D
goto done
:harde
install E E
goto done
:hardf
install F F
goto done
:driveknown
rem erase contents of \scsi directory on target drive if it exists.
rem (otherwise) create the directory and copy distribution files to it
echo 
cd %1:\
if not exist %1:\scsi\*.* goto makedir
echo A SCSI Subdirectory exists.
ask "Do you wish to delete all existing files in it?" "YYes." "NNo." "XAbort Installation."
if errorlevel 3 goto abort
if errorlevel 2 goto dirmade
del %1:\scsi\*.* < yes > nul
goto dirmade
:makedir
md %1:\scsi
:dirmade
echo 
echo Copying the NEC SCSI distribution files to Drive %1:
echo 
copy cdrom.sys %1:\scsi >nul
copy scsitest.exe %1:\scsi >nul
copy mscdex.exe %1:\scsi >nul
copy play.exe %1:\scsi >nul
copy stop.exe %1:\scsi >nul
copy chkcd.exe %1:\scsi >nul
rem copy config.com %1:\scsi >nul
rem copy config.dat %1:\scsi >nul
rem Files copied. Fix autoexec.bat and config.sys files in drive %1: if required.
rem Add the MSCDEX command line to autoexec.bat
echo 
echo Checking your AUTOEXEC.BAT file.
echo 
if not exist %1:\autoexec.bat goto noauto
echo 
echo Making a Backup copy of your AUTOEXEC.BAT file to Subdirectory SCSI
copy %1:\autoexec.bat %1:\scsi >nul
:noauto
tip path %1:\autoexec.bat %2:\scsi
cls
echo 
echo 
echo ========================= IMPORTANT NOTE =========================
echo 
echo Some applications programs insist that a CD-ROM reader be accessed
echo as drive L:
echo 
echo You can choose to have your CD-ROM reader either assigned the drive
echo letter L: or your system's next available drive letter.
echo 
echo Remember, you can always manually edit you AUTOEXEC.BAT file and
echo assign a specific drive letter to your CD-ROM by changing the
echo MSCDEX statement as described in your manual.  If you manually
echo assign the drive letter, confirm that your CONFIG.SYS file has the
echo appropriate LASTDRIVE statement as described in your manual.
echo 
ask "Assign your CD-ROM reader as drive L:?" "YYes" "NNo"
if errorlevel 2 goto nextletter
if errorlevel 1 if not errorlevel 2 goto letter_L
echo 
echo 
echo 
:letter_L
tip mscdex %1:\autoexec.bat %2:\scsi\mscdex/d:neccd/l:L
set neccdrom=driveL
cls
goto sysconfig
:nextletter
tip mscdex %1:\autoexec.bat %2:\scsi\mscdex/d:neccd
:sysconfig
echo 
echo Checking your CONFIG.SYS file. In order to work properly
echo the CONFIG.SYS file must contain a statement like
echo "Device=%2:\scsi\cdrom.sys" and it may need a statment like
echo "Lastdrive=M".
echo 
if not exist %1:\config.sys goto noconfig
echo 
echo Making a Backup copy of your CONFIG.SYS file to Subdirectory SCSI
copy %1:\config.sys %1:\scsi >nul
:noconfig
tip dev %1:\config.sys %2:\scsi\cdrom.sys
if %neccdrom%==driveL goto L_flag
goto noflag
:L_flag
tip last %1:\config.sys M
:noflag
rem Installation should be complete.
echo 
echo NECHE SCSI Software Installation completed successfully.
echo 
echo Please re-boot computer to activate your NECHE software and CD-ROM drive.
goto done
:abort
set neccdrom=
echo 
echo Automatic NECHE SCSI Software Installation aborted.
:done
set neccdrom=
echo 

